
From: "Antonino A. Daplas" <adaplas@gmail.com>

If no EDID block is probed, if the display is digital and if no mode option is
specified by the user, get the timings by CVT instead of using the global mode
database.

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/nvidia/nvidia.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/nvidia/nvidia.c~nvidiafb-use-cvt-to-get-mode-for-digital-displays drivers/video/nvidia/nvidia.c
--- 25/drivers/video/nvidia/nvidia.c~nvidiafb-use-cvt-to-get-mode-for-digital-displays	Thu Sep  1 17:04:44 2005
+++ 25-akpm/drivers/video/nvidia/nvidia.c	Thu Sep  1 17:04:44 2005
@@ -1328,7 +1328,7 @@ static int __devinit nvidia_set_fbinfo(s
 		char buf[16];
 
 		memset(buf, 0, 16);
-		snprintf(buf, 15, "%dx%d", par->fpWidth, par->fpHeight);
+		snprintf(buf, 15, "%dx%dMR", par->fpWidth, par->fpHeight);
 		fb_find_mode(&nvidiafb_default_var, info, buf, specs->modedb,
 			     specs->modedb_len, &modedb, 8);
 	}
_
